TrimFunction (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.ejb.criteria.expression.function
Class TrimFunction

    java.lang.Object
      org.hibernate.ejb.criteria.AbstractNode
          org.hibernate.ejb.criteria.expression.AbstractTupleElement<X>
              org.hibernate.ejb.criteria.expression.SelectionImpl<T>
                  org.hibernate.ejb.criteria.expression.ExpressionImpl<X>
                      org.hibernate.ejb.criteria.expression.function.BasicFunctionExpression<String>
                          org.hibernate.ejb.criteria.expression.function.TrimFunction

All Implemented Interfaces:
  Serializable, Expression<String>, Selection<String>, TupleElement<String>, FunctionExpression<String>, ExpressionImplementor<String>, ParameterContainer, Renderable, SelectionImplementor<String>, TupleElementImplementor<String>

    public class TrimFunction

extends BasicFunctionExpression<String>
implements Serializable

Models the ANSI SQL `TRIM` function.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface org.hibernate.ejb.criteria.ParameterContainer
`ParameterContainer.Helper`

Field Summary
`static char` | `DEFAULT_TRIM_CHAR`
`static CriteriaBuilder.Trimspec` | `DEFAULT_TRIMSPEC`
`static String` | `NAME`

Constructor Summary
`TrimFunction(CriteriaBuilderImpl criteriaBuilder, char trimCharacter, Expression<String> trimSource)`
`TrimFunction(CriteriaBuilderImpl criteriaBuilder, CriteriaBuilder.Trimspec trimspec, char trimCharacter, Expression<String> trimSource)`
`TrimFunction(CriteriaBuilderImpl criteriaBuilder, CriteriaBuilder.Trimspec trimspec, Expression<Character> trimCharacter, Expression<String> trimSource)`
`TrimFunction(CriteriaBuilderImpl criteriaBuilder, CriteriaBuilder.Trimspec trimspec, Expression<String> trimSource)`
`TrimFunction(CriteriaBuilderImpl criteriaBuilder, Expression<Character> trimCharacter, Expression<String> trimSource)`
`TrimFunction(CriteriaBuilderImpl criteriaBuilder, Expression<String> trimSource)`

Method Summary
`Expression<Character>` | `getTrimCharacter()`
`Expression<String>` | `getTrimSource()`
`CriteriaBuilder.Trimspec` | `getTrimspec()`
`void` | `registerParameters(ParameterRegistry registry)` Register any parameters contained within this query component with the given registry.
`String` | `render(CriteriaQueryCompiler.RenderingContext renderingContext)`

Methods inherited from class org.hibernate.ejb.criteria.expression.function.BasicFunctionExpression
`getFunctionName, isAggregation, properSize, renderProjection`

Methods inherited from class org.hibernate.ejb.criteria.expression.ExpressionImpl
`as, asBigDecimal, asBigInteger, asDouble, asFloat, asInteger, asLong, asString, in, in, in, in, isNotNull, isNull`

Methods inherited from class org.hibernate.ejb.criteria.expression.SelectionImpl
`alias, getCompoundSelectionItems, getValueHandlers, isCompoundSelection`

Methods inherited from class org.hibernate.ejb.criteria.expression.AbstractTupleElement
`forceConversion, getAlias, getJavaType, getValueHandler, resetJavaType, setAlias`

Methods inherited from class org.hibernate.ejb.criteria.AbstractNode
`criteriaBuilder`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.persistence.criteria.Expression
`as, in, in, in, in, isNotNull, isNull`

Methods inherited from interface javax.persistence.criteria.Selection
`alias, getCompoundSelectionItems, isCompoundSelection`

Methods inherited from interface javax.persistence.TupleElement
`getAlias, getJavaType`

Methods inherited from interface org.hibernate.ejb.criteria.SelectionImplementor
`getValueHandlers`

Methods inherited from interface org.hibernate.ejb.criteria.TupleElementImplementor
`getValueHandler`

Field Detail

### NAME

    public static final String NAME

See Also:
  Constant Field Values

### DEFAULT_TRIMSPEC

    public static final CriteriaBuilder.Trimspec DEFAULT_TRIMSPEC

### DEFAULT_TRIM_CHAR

    public static final char DEFAULT_TRIM_CHAR

See Also:
  Constant Field Values

Constructor Detail

### TrimFunction

    public TrimFunction(CriteriaBuilderImpl criteriaBuilder,
                        CriteriaBuilder.Trimspec trimspec,
                        Expression<Character> trimCharacter,
                        Expression<String> trimSource)

### TrimFunction

    public TrimFunction(CriteriaBuilderImpl criteriaBuilder,
                        CriteriaBuilder.Trimspec trimspec,
                        char trimCharacter,
                        Expression<String> trimSource)

### TrimFunction

    public TrimFunction(CriteriaBuilderImpl criteriaBuilder,
                        Expression<String> trimSource)

### TrimFunction

    public TrimFunction(CriteriaBuilderImpl criteriaBuilder,
                        Expression<Character> trimCharacter,
                        Expression<String> trimSource)

### TrimFunction

    public TrimFunction(CriteriaBuilderImpl criteriaBuilder,
                        char trimCharacter,
                        Expression<String> trimSource)

### TrimFunction

    public TrimFunction(CriteriaBuilderImpl criteriaBuilder,
                        CriteriaBuilder.Trimspec trimspec,
                        Expression<String> trimSource)

Method Detail

### getTrimCharacter

    public Expression<Character> getTrimCharacter()

### getTrimSource

    public Expression<String> getTrimSource()

### getTrimspec

    public CriteriaBuilder.Trimspec getTrimspec()

### registerParameters

    public void registerParameters(ParameterRegistry registry)

  Description copied from interface: `ParameterContainer`
  Register any parameters contained within this query component with the given registry.

  Specified by:
    `registerParameters` in interface `ParameterContainer`
  Overrides:
    `registerParameters` in class `BasicFunctionExpression<String>`
  Parameters:
    `registry` - The parameter registry with which to register.

### render

    public String render(CriteriaQueryCompiler.RenderingContext renderingContext)

  Specified by:
    `render` in interface `Renderable`
  Overrides:
    `render` in class `BasicFunctionExpression<String>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.